{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load simple_page %}
{% load mldb %}
{% load highlight %}

<section>
<header>{% section h2 %}Search{% endsection %}</header>
<form class="search">
{{ form.as_p }}
<input type="submit" value="Search" />
</form>
</section>

{% if results != None %}
<section class="search_results">
    <header>{% section h2 %}Results{% endsection %}</header>
    {% if results.object_list %}
        <table>
        {% for line in results.object_list %}
            <tr class='line {% if line.characters.count == 1 %}character_{{ line.characters.first.slug }}{% else %}mixed_characters{% endif %}'>
                <td><ul class="line_characters">
                    {% for character in line.characters %}
                        <li>{% character_image_link character "mldb/img/cutie_marks/%s.svg" 32 %}</li>
                    {% endfor %}
                </ul></td>
                <td class="episode_link"
                    title="Season {{ line.object.episode.season }}, Episode {{ line.object.episode.number }}"
                >{% episode_link line.object.episode %}</td>
                <td>
                    <a href="{% episode_url line.object.episode %}#line-{{ line.object.order }}">
                        {% highlight line.object with query css_class "search_highlight" %}
                    </a>
                </td>
            </tr>
        {% endfor %}
        </table>
    {% else %}
        <p>No results.</p>
    {% endif %}
    {% if results.paginator.num_pages > 1 %}
        <nav class="pager">
            Showing {{ results.start_index }} to {{ results.end_index }} of {{ results.paginator.count }} results:
            <ul>
            {% if results.has_previous %}
                <li><a href="?{{ query_string }}&amp;page={{ results.previous_page_number }}">Previous</a></li>
            {% endif %}

            {% for page_n in results.paginator.page_range %}
                <li>{% if results.number == page_n %}
                    <span class="current_link">{{ page_n }}</span>
                {% else %}
                    <a href="?{{ query_string }}&amp;page={{ page_n }}">{{ page_n }}</a>
                {% endif %}</li>
            {% endfor %}

            {% if results.has_next %}
                <li><a href="?{{ query_string }}&amp;page={{ results.next_page_number }}">Next</a></li>
            {% endif %}
            </ul>
        </nav>
    {% endif %}
</section>
{% endif %}
